> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md).

# ServoyEmbeddingStoreBuilder

## Methods Summarized

| Type                                                                                                        | Name                                             | Summary                                                                                                                                   |
| ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------- |
| [ServoyEmbeddingStoreBuilder](/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md) | [addText(addText)](#addtext-addtext)             | Sets the addText option (store original text).                                                                                            |
| [EmbeddingStore](/reference/servoyextensions/server-plugins/ai/embeddingstore.md)                           | [build()](#build)                                | Creates a Servoy embedding store for the specified source table, the emmbeddings will be saved in the specified table in the same server. |
| [ServoyEmbeddingStoreBuilder](/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md) | [dataSource(dataSource)](#datasource-datasource) | Sets the dataSource to read data from.                                                                                                    |
| [ServoyEmbeddingStoreBuilder](/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md) | [recreate(recreate)](#recreate-recreate)         | Sets the recreate option (remove persistent storage) before opening the store.                                                            |
| [ServoyEmbeddingStoreBuilder](/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md) | [tableName(tableName)](#tablename-tablename)     | Sets the tableName to store the embeddings in.                                                                                            |

## Methods Detailed

### addText(addText)

Sets the addText option (store original text).

**Parameters**

* [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) **addText** addText option.

**Returns:** [ServoyEmbeddingStoreBuilder](/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md) This builder instance.

### build()

Creates a Servoy embedding store for the specified source table, the emmbeddings will be saved in the specified table in the same server.

**Returns:** [EmbeddingStore](/reference/servoyextensions/server-plugins/ai/embeddingstore.md) An EmbeddingStore backed by a servoy store, or null if creation\
fails.

### dataSource(dataSource)

Sets the dataSource to read data from.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **dataSource** dataSource.

**Returns:** [ServoyEmbeddingStoreBuilder](/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md) This builder instance.

### recreate(recreate)

Sets the recreate option (remove persistent storage) before opening the store.

**Parameters**

* [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) **recreate** recreate option.

**Returns:** [ServoyEmbeddingStoreBuilder](/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md) This builder instance.

### tableName(tableName)

Sets the tableName to store the embeddings in.

**Parameters**

* [String](/reference/servoycore/dev-api/js-lib/string.md) **tableName** tableName.

**Returns:** [ServoyEmbeddingStoreBuilder](/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md) This builder instance.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/server-plugins/ai/servoyembeddingstorebuilder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
